<?
#################
## INPUT VARIABLES
#################

#FILE = (text) full web URL to the logo file
$file="https://www.stitchcounter.com/JSNapi/logo-example.jpg";
#LOCAL = (text) local path to the logo file in your server
$local="/JSNapi/logo-example.jpg";
#KEY = (text) your API key
$key="your_api_key";
# TOKEN = (text) your API token
$token="your_token";
# PIXELS = (integer) width of the canvas element for color picker tool (where the original image loads onto), default = 500 
$pixels = 500;


?>
<html>
<!--- these Javascript and CSS files must be in the header in order for the color picker to work, you can also link to local files in your server if you're already using bootstrap, font awesome and jquery -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
<!--recommended CSS styles for the color picker, you can also modify these according to your need -->
<style>
#canvaswrapper {	
		padding: 5px;
		float: left;
    position: relative;
}
canvas {
    display: block;
    cursor: url(https://www.stitchcounter.com/images/eyedropper.png) 0 15, crosshair;
		border: solid thin #333;
}
#colors, #bgcolors {
    display: block;
    margin: 0;
    padding: 0;
}
#colors li, #bgcolors li {
    margin: 0;
    padding: 8px;
    display: block;
    width: 100%;
    border: solid 1px black;
}
#output {
    width: 100%;
}
#tmpcolor {
		position: absolute;
		left: -40px;
		top: -40px;
		z-index: 10;
		border: solid 5px #333;
		padding: 15px;
		width: 1px;
		-webkit-border-radius: 20px;
		-moz-border-radius: 20px;
		border-radius: 20px;
}
.padding-5 {
  padding: 5px;
}
.bg-black {
  background: rgba(0,0,0,1);
}
.white {
  color: #fff; }

.black {
  color: #000; }
.grey {
  color: #666;
}
</style>

<body>

<!-- you can submit the data to the next page with the form
1. you can use a hidden file field to pass on the url to the logo file
2. picked colors are passed to the next page in "embroidery_colors" variable. Example will look like this $embroidery_colors="254,254,254:::11,13,18:::203,215,82"
-->
<form action="api-stitchcount.php" method="post">
<input type="hidden" name="file" value="<?=$file;?>">
<?

//EXAMPLE CURL CALL FUNCTION to the API URL
function CallAPI($method, $url, $data = false)
{
  $header[0] = "Accept: text/xml,application/xml,application/xhtml+xml, text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5"; 
	$header[] = "Cache-Control: max-age=0"; 
	$header[] = "Connection: keep-alive"; 
	$header[] = "Keep-Alive: 300"; 
	$header[] = "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7"; 
	$header[] = "Accept-Language: en-us,en;q=0.5"; 
	
  $curl = curl_init();

    switch ($method)
    {
        case "POST":
            curl_setopt($curl, CURLOPT_POST, 1);

            if ($data)
                curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
            break;
        case "PUT":
            curl_setopt($curl, CURLOPT_PUT, 1);
            break;
        default:
            if ($data)
                $url = sprintf("%s?%s", $url, http_build_query($data));
    }

    // Optional Authentication:
    //curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
    //curl_setopt($curl, CURLOPT_USERPWD, "username:password");

    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_USERAGENT, 'Mozilla/5.0 (X11; U; Linux x86_64; en-US) AppleWebKit/534.3 (KHTML, like Gecko) Ubuntu/10.04 Chromium/6.0.472.53 Chrome/6.0.472.53 Safari/534.3'); 
    curl_setopt($curl, CURLOPT_HTTPHEADER, $header); 
    curl_setopt($curl, CURLOPT_ENCODING, 'gzip,deflate'); 
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

    $result = curl_exec($curl);

    curl_close($curl);

    return $result;
}

#url = (text) url to the API
$url="https://stitchcounter.com/JSNapi/get_canvas.php";
#data = (array) Array of variables passed to the url
$data=array("file"=>$file, "local"=>$local, "key" => $key, "token" => $token, "px"=>$pixels);
##CALL TO API
$res=CallAPI("POST", $url, $data);

//RESULT is HTML that you should just write on your screen.
echo $res;
?>
<input type="submit" name="Save" value="Next" class="btn btn-success" />
</form>
</body>
</html>